<?php

include_once('admin/common/database.php');
include_once('admin/common/various.php');

function e_menu()
{
	global $config;
	
	$lng	= $config['lng'];
	
	$menu_values	= json_decode( get_option( "main-menu" ) );
	$menu_count		= count( $menu_values );
	
	$html	= '';
	
	if ( $menu_count )
	{	
		// Liste du menu
		$html	.= '<ul>';
		
		for( $i=0; $i<$menu_count; $i++ )
		{
			/*print "<pre>";
			print_r( $menu_values[$i] );
			print "</pre>";
			*/
			$id		= substr( $menu_values[$i]->id, 3 );
			$title	= !empty( $menu_values[$i]->title ) && empty( $id ) ? $menu_values[$i]->title : utf8_encode( getTitle( $lng.'_'.$id ) );
			$url	= empty( $id ) ? $menu_values[$i]->lnk : 'index.php?p='.$id.'&l='.$lng;
			$blank	= $menu_values[$i]->blank ? ' target="_blank"' : '';
			
			$first		= $i == 0 ? ' class="first"' : '';
			
			$html	.= '<li'.$first.'><a href="'.$url.'"'.$blank.'>'.$title.'</a></li>';
		}
		
		$html	.= '</ul>';
	}

	echo $html;
}


function getPage( $id=false )
{
	global $config;
	
	if ( $id == false ) {
		return "Désolé, la page que vous cherchez n'est pas disponible ou n'existe plus.";
		
	}else{
		
		$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
		
		if($mysql){
			
			$db			= mysql_select_db($config["db_name"], $mysql);				// Selection de la db
			$query		= "SELECT * FROM ".$config['db_tableprefix']."content WHERE published='1' AND id='$id'";
			$resource	= mysql_query($query, $mysql) or die();				// Executer query
			
			if($resource){
				if (mysql_num_rows($resource)) {
					$page = mysql_fetch_object($resource);
					
					$page->text	= gallery_shortcode($page->text);
					$page->text	= shortcodes($page->text);
					
					return $page;
				}else{
					return;
					//return "Désolé, la page que vous cherchez n'est pas disponible ou n'existe plus.";
				}
			}else{
				return;
				//return "Désolé, il y a une erreur dans la requête mysql.";
			}
			mysql_close($mysql);
			
		}else{
			return;
			//return "Impossible de se connecter à la base de donnée.";
		}
	}
}

function getTitle( $id=false )
{
	global $config;
	
	if ( $id == false ) {
		return "Désolé, la page que vous cherchez n'est pas disponible ou n'existe plus.";
		
	}else{
		
		$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
		
		if($mysql){
			
			$db			= mysql_select_db($config["db_name"], $mysql);				// Selection de la db
			$query		= "SELECT title FROM ".$config['db_tableprefix']."content WHERE published='1' AND id='$id'";
			$resource	= mysql_query($query, $mysql) or die();				// Executer query
			
			if($resource){
				if (mysql_num_rows($resource)) {
					$page = mysql_fetch_object($resource);
					return $page->title;
				}else{
					return "Désolé, la page que vous cherchez n'est pas disponible ou n'existe plus.";
				}
			}else{
				return "Désolé, il y a une erreur dans la requête mysql.";
			}
			mysql_close($mysql);
			
		}else{
			return "Impossible de se connecter à la base de donnée.";
		}
	}
}


function getNews( $limit="", $order="DESC" )
{
	global $config;
		
	$pages = "";
	$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
	
	if($mysql){
		
		$limit	= $limit != "" && is_int( $limit ) ? " LIMIT 0,$limit" : "";
		
		$db			= mysql_select_db($config["db_name"], $mysql);				// Selection de la db
		mysql_query("SET NAMES 'utf8'");
		$query		= "SELECT * FROM ".$config['db_tableprefix']."content WHERE published='1' AND type='news' ORDER BY date_creation $order $limit";
		$resource	= mysql_query($query, $mysql) or die();				// Executer query
		
		if($resource){
			if (mysql_num_rows($resource)) {
				$pages = array();
				while ( $page = mysql_fetch_object($resource) )
				{
					array_push( $pages, $page);
				}
				
			}else{
				$pages = "Désolé, la page que vous cherchez n'est pas disponible ou n'existe plus.";
			}
		}else{
			$pages = "Désolé, il y a une erreur dans la requête mysql.";
		}
		mysql_close($mysql);
		
	}else{
		$pages = "Impossible de se connecter à la base de donnée.";
	}
	
	return $pages;
}

function newsList( $limit="" )
{
	$news			= getNews();
	$news_count		= count( $news );
	$i				= 0;
	
	$articles		= "";
	
	foreach( $news as $article )
	{
		$firstClass		= $i == 0 ? " first" : "";
		$lastClass		= $i == $news_count-1 ? " last" : "";
		
		// Intro
		$intro = $article->text;
		/*if ( $pagebreak = strpos( $intro, '<!-- pagebreak -->' ) )
		{
			$intro	= substr( $intro, 0, $pagebreak );
			$intro = closetags( $intro );
		}*/
		
		// Id
		$id	= substr( $article->id, 3 );
		
		$articles	.= '<div class="news-item'.$firstClass.$lastClass.'">';
		$articles	.= '<h2>'.stripcslashes( $article->title ).'<</h2>';
		//$articles	.= '<h2><a href="index.php?p='.$id.'">'.stripcslashes( $article->title ).'</a></h2>';
		$articles	.= gallery_shortcode( shortcodes( stripcslashes( $intro ) ) );
		//$articles	.= '<p class="more"><a href="index.php?p='.$id.'">Lire la suite...</a></p>';
		$articles	.= '</div>';
		
		$i++;
	}
	
	return $articles;
}


function getClassement()
{
	global $config;
	
	$content	= "";
		
	$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
	
	if($mysql){
		
		$getClssmnt = "SELECT * FROM ".$config['db_tableprefix']."classement ORDER BY 'ordre' ASC";
		$getClssmntRsc = getQuery($getClssmnt);
		
		if ( is_resource( $getClssmntRsc ) )
		{
			$content	.= '<table class="classement-small">';
			
			while( $row	= mysql_fetch_object( $getClssmntRsc ) )
			{
				$statu	= "";
				if ( $row->statu != "0" )
				{
					$statu	= $row->statu;
				}
				
				$ordre	= $row->ordre;
				if ( intval( $ordre ) < 10 )
				{
					$ordre	= "0".$row->ordre;
				}
				
				$content .= '<tr class="'.$statu.'">
							<td>'.$ordre.'</td>
							<td class="club_nom">'.stripslashes($row->club_nom).'</td>
							<td class="points">'.$row->points.'</td>
						</tr>';
			}
			
			mysql_free_result( $getClssmntRsc );
			
			$content	.= '</table>';
			
		}else{
			// Problème dans la requête mysql. ou
			$content = "Désolé, ce que vous cherchez n'existe pas.";
		}
		
	}else{
		$content = "Impossible de se connecter à la base de donnée.";
	}
			
	return $content;
}


function getNextMatches()
{
	global $config;
	
	$content	= "";
		
	$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
	
	if($mysql){
		
		$getClssmnt = "SELECT * FROM ".$config['db_tableprefix']."agenda WHERE score_home='' AND score_out='' AND date_to_confirm='0' ORDER BY 'date' ASC LIMIT 0,5";
		$getClssmntRsc = getQuery($getClssmnt);
		
		if ( is_resource( $getClssmntRsc ) )
		{
			$content	.= '<table class="agenda-small">';
			$i			= 0;
			
			while( $row	= mysql_fetch_object( $getClssmntRsc ) )
			{
				$alt	= '';
				if ( ! is_int( $i/2 ) )
				{
					$alt	= 'alternate';
				}
				
				$date	= $row->date;
				$date	= substr( $date, 8 ).'.'.substr( $date, 5, 2 ).'.'.substr( $date, 0, 4 );
				
				$highlighted_home	= "";
				$highlighted_out	= "";
				if ( $row->club_highlighted == "home" )
				{
					$highlighted_home	= "highlighted";
				}else{
					$highlighted_out	= "highlighted";
				}
				
				$content .= '<tr class="'.$alt.'">
							<td>'.$date.'</td>
							<td class="'.$highlighted_home.'">'.stripslashes($row->club_home).'</td>
							<td>vs</td>
							<td class="'.$highlighted_out.'">'.stripslashes($row->club_out).'</td>
						</tr>';
						
				$i++;
			}
			
			mysql_free_result( $getClssmntRsc );
			
			$content	.= '</table>';
			
		}else{
			// Problème dans la requête mysql. ou
			$content = "Désolé, ce que vous cherchez n'existe pas.";
		}
		
	}else{
		$content = "Impossible de se connecter à la base de donnée.";
	}
			
	return $content;
}

function getLastResult()
{
	global $config;
	
	$content	= "";
		
	$mysql = mysql_connect($config["db_host"], $config["db_login"], $config["db_pass"]);
	
	if($mysql){
		
		$getClssmnt = "SELECT * FROM ".$config['db_tableprefix']."agenda WHERE score_home!='' AND score_out!='' ORDER BY date DESC LIMIT 0,1";
		$getClssmntRsc = getQuery($getClssmnt);
		
		$logos = $logo_home = $logo_out	= "";
		$getLogosResult			= "SELECT content FROM ".$config['db_tableprefix']."options WHERE slug='logos_dernier_match';";
		$getLogosResultRsc		= getQuery($getLogosResult);
		if ( is_resource( $getLogosResultRsc ) )
		{
			$logos	= mysql_fetch_object( $getLogosResultRsc );
			$logos	= json_decode( $logos->content );
			
			$logo_home	= isset( $logos[0] ) ? '<img src="'.$logos[0].'" width="100" />' : '';
			$logo_out	= isset( $logos[1] ) ? '<img src="'.$logos[1].'" width="100" />' : '';
		}
		
		if ( is_resource( $getClssmntRsc ) )
		{
			$content	.= '<table class="last_result-small">';
			
			while( $row	= mysql_fetch_object( $getClssmntRsc ) )
			{
				$content .= '<tr>
							<td>'.$logo_home.'</td>
							<td class="score" rowspan="2">'.$row->score_home.'-'.$row->score_out.'</td>
							<td>'.$logo_out.'</td>
						</tr>
						<tr>
							<td>'.stripslashes($row->club_home).'</td>
							<td>'.stripslashes($row->club_out).'</td>
						</tr>';
			}
			
			mysql_free_result( $getClssmntRsc );
			
			$content	.= '</table>';
			
		}else{
			// Problème dans la requête mysql. ou
			$content = "Désolé, ce que vous cherchez n'existe pas.";
		}
		
	}else{
		$content = "Impossible de se connecter à la base de donnée.";
	}
			
	return $content;
}

/* ---------------------------------------------------------------------------------------------------- */
/* SHORTCODES */
/* ---------------------------------------------------------------------------------------------------- */
function gallery_shortcode( $content )
{
	global $config;
	
	if ( empty( $content ) )
		return false;
		
	$regex = "/\[(.*?)\]/";
	preg_match_all( $regex, $content, $matches );
	
	$galleries_count	= count( $matches[1] );
	
	for( $i=0; $i<$galleries_count; $i++ )
	{
		// récupérer les infos de la gallerie
		$shortcode_replace = '';
		$shortcode	= $matches[0][$i];
		$db_table	= $config["db_tableprefix"]."galleries";
		$gal_slug	= str_replace( 'gallery ', '', $matches[1][$i]);
		
		$db_results	= getQuery("SELECT id, name FROM $db_table WHERE $db_table.slug='$gal_slug';");
		if (is_resource($db_results))
		{
			while($result = mysql_fetch_object( $db_results ))
			{
				$gal_id		= $result->id;
				$gal_name	= $result->name;
			}
			mysql_free_result( $db_results );
		}
		
		
		// Récupérer les photos
		$results	= array();
		$db_results	= getQuery("SELECT * FROM ".$db_table."_pics WHERE gallery_id='". $gal_id ."' ORDER BY ".$db_table."_pics.order");
		if (is_resource($db_results))
		{
			while($result = mysql_fetch_object( $db_results ))
			{
				array_push( $results, $result );
			}
			mysql_free_result( $db_results );
		}
	
		// ----------
		
		$photos	= $results;
		$photos_list = '';
		
		if ( ! empty( $photos ) )
		{
			$photos_list	= '<ul class="gallery">';
			
			$j	= 0;
			$photos_nbr	= count( $photos );
			
			foreach( $photos as $photo )
			{
				// Ajouter les classes first et last
				$liClass	= '';
				if ( $j == 0 )
				{
					$liClass	= ' class="first"';
				}elseif ( $j == $photos_nbr-1 )
				{
					$liClass	= ' class="last"';
				}
				
				// Générer l'html
				$photos_list .= '<li'.$liClass.'>';
				$photos_list .= '<a href="uploads/galeries/'.$gal_slug.'/'.$photo->filename.'" rel="lightbox['.$gal_slug.']" title="'.$gal_name.'"><img src="uploads/galeries/'.$gal_slug.'/thumbs/'.$photo->filename.'"></a>';
				$photos_list .= '</li>';
				
				$j++;
			}
			
			$photos_list	.= '</ul>';
		}
		
		if ( ! empty( $photos_list ) )
		{
			$shortcode_replace	.= '<p class="gallery-title">'.$gal_name.'</p>';
			$shortcode_replace	.= $photos_list;
			
			$content = str_replace( $shortcode, $shortcode_replace, $content );
		}
	}
		
	return $content;
}


function shortcodes( $content )
{
	global $config;
	
	if ( empty( $content ) )
		return false;
		
	$regex = "/\[(.*?)\]/";
	preg_match_all( $regex, $content, $matches );
	
	$matches_count	= count( $matches[0] );
	
	for( $i=0; $i<$matches_count; $i++ )
	{
		$shortcode_replace = '';
		$shortcode	= $matches[0][$i];

		
		// ----------------------------------------
		// AGENDA
		// ----------------------------------------
		if ( $shortcode == "[agenda]" )
		{
			$agenda_content	= "";
			$db_table		= $config["db_tableprefix"]."agenda";
			
			$getClssmnt = "SELECT * FROM ".$config['db_tableprefix']."agenda ORDER BY 'date' ASC";
			$getClssmntRsc = getQuery($getClssmnt);
			
			if ( is_resource( $getClssmntRsc ) )
			{
				$agenda_content		.= '<table class="agenda-full"><thead><tr><td>Date</td><td>Type</td><td>Visité</td><td>Score</td><td>Visiteur</td></tr></thead><tbody>';
				
				$j = 0;
				while( $row	= mysql_fetch_object( $getClssmntRsc ) )
				{
					$alt	= '';
					if ( ! is_int( $j/2 ) )
					{
						$alt	= 'alternate ';
					}
					
					$date	= $row->date;
					$date	= substr( $date, 8 ).'.'.substr( $date, 5, 2 ).'.'.substr( $date, 0, 4 );
					
					$highlighted_home	= "";
					$highlighted_out	= "";
					if ( $row->club_highlighted == "home" )
					{
						$highlighted_home	= "highlighted ";
					}else{
						$highlighted_out	= "highlighted ";
					}
					
					$type_checked			= $row->type_highlighted ? 'highlighted ' : '';
					
					if ( !empty( $row->type ) && empty( $row->club_home ) && empty( $row->score_home ) && empty( $row->score_out ) && empty( $row->club_out ) )
					{	
						$agenda_content .= '<tr class="special">
									<td>'.$date.'</td>
									<td colspan="4">'.stripslashes($row->type).'</td>
								</tr>';
						
					}else{
						$agenda_content .= '<tr class="'.$alt.'">
								<td>'.$date.'</td>
								<td class="type '.$type_checked.'">'.stripslashes($row->type).'</td>
								<td class="'.$highlighted_home.'">'.stripslashes($row->club_home).'</td>
								<td class="score">'.$row->score_home.'-'.$row->score_out.'</td>
								<td class="'.$highlighted_out.'">'.stripslashes($row->club_out).'</td>
							</tr>';
					}
					
					$j++;
				}
				$agenda_content		.= '</tbody></table>';
				
				mysql_free_result( $getClssmntRsc );
				
			}
		
			// ----------
			
			if ( ! empty( $agenda_content ) )
			{
				
				$content = str_replace( $shortcode, $agenda_content, $content );
			}
		
		}
		
		// ----------------------------------------
		// CLASSEMENT
		// ----------------------------------------
		if ( $shortcode == "[classement]" )
		{
			$clssmnt_content	= "";
			$db_table			= $config["db_tableprefix"]."classement";
			
			$getClssmnt = "SELECT * FROM $db_table ORDER BY 'ordre' ASC";
			$getClssmntRsc = getQuery($getClssmnt);
			
			if ( is_resource( $getClssmntRsc ) )
			{
				$clssmnt_content	.= '<table class="classement-full">';
			
				while( $row	= mysql_fetch_object( $getClssmntRsc ) )
				{
					$statu	= "";
					if ( $row->statu != "0" )
					{
						$statu	= $row->statu;
					}
					
					$ordre	= $row->ordre;
					if ( intval( $ordre ) < 10 )
					{
						$ordre	= "0".$row->ordre;
					}
					
					$clssmnt_content .= '<tr class="'.$statu.'">
								<td>'.$ordre.'</td>
								<td class="club_nom">'.stripslashes($row->club_nom).'</td>
								<td class="points">'.$row->points.'</td>
							</tr>';
				}
				
				$clssmnt_content		.= '</table>';
				
				mysql_free_result( $getClssmntRsc );
				
			}
		
			// ----------
			
			if ( ! empty( $clssmnt_content ) )
			{
				
				$content = str_replace( $shortcode, $clssmnt_content, $content );
			}
		}
		
		// ----------------------------------------
		// FORMULAIRE CONTACT
		// ----------------------------------------
		if ( $shortcode == "[form contact]" )
		{
			/*$post	= $_POST;
			
			// Titre
			$titres			= array( 'Mr', 'Mme', 'Mlle' );
			$titres_post	= isset( $post['titre'] ) ? $post['titre'] : $titres[0];
			
			foreach( $titres as $titre )
			{
				$checked	= $titre == $titres_post ? ' checked="checked"' : '';
				
				$titres_content	.= '<label><input type="radio" name="titre" id="radio1" value="'.$titre.'" '.$checked.' />'.$titre.'</label>';
			}
			
			// Nom
			$nom_post	= isset( $post['nom'] ) ? $post['nom'] : '';
			
			// Préom
			$prenom_post	= isset( $post['prenom'] ) ? $post['prenom'] : '';
			
			// E-mail
			$email_post	= isset( $post['email'] ) ? $post['email'] : '';
			
			// Tel
			$tel_post	= isset( $post['tel'] ) ? $post['tel'] : '';
			
			// Rue
			$rue_post	= isset( $post['rue'] ) ? $post['rue'] : '';
			
			// CP
			$cp_post	= isset( $post['cp'] ) ? $post['cp'] : '';
			
			// Ville
			$ville_post	= isset( $post['ville'] ) ? $post['ville'] : '';
			
			// Renseignements
			$rens		= array( 'Un placard', 'Un dressing', 'Une séparation', 'Autre solution sur-mesure' );
			$rens_post	= isset( $post['rens'] ) ? $post['rens'] : $rens[0];
			
			foreach( $rens as $ren )
			{
				$checked	= $ren == $rens_post ? ' checked="checked"' : '';
				
				$rens_content	.= '<label><input type="radio" name="titre" id="radio1" value="'.$ren.'" '.$checked.' />'.$ren.'</label><br/>';
			}
			
			// Dimensions
			
			
			$form_content	= '<form method="post" action="">
			    <table border="0" cellpadding="0" cellspacing="8">
					<tr>
						<th align="right" valign="top">&nbsp;</th>
						<td>'.$titres_content.'</td>
					</tr>
					<tr>
						<th align="right" valign="top">Nom :</th>
						<td><input name="nom" type="text" size="30" value="'.$nom_post.'" /></td>
					</tr>
					<tr>
						<th width="81" align="right" valign="top">Prénom :</th>
						<td width="369"><input name="prenom" type="text" size="30" value="'.$prenom_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top">E-mail :</th>
						<td><input name="email" type="text" size="30" value="'.$email_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top">Tél/Gsm :</th>
						<td><input name="tel" type="text" size="30" value="'.$tel_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top">Rue &amp; numéro :</th>
						<td><input name="rue" type="text" size="30" value="'.$rue_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top" nowrap="nowrap">Code postal :</th>
						<td><input name="cp" type="text" size="30" value="'.$cp_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top">Ville :</th>
						<td><input name="ville" type="text" size="30" value="'.$ville_post.'" /></td>
					</tr>
					<tr>
						<th align="right" valign="top" nowrap="nowrap">&nbsp;</th>
						<td nowrap="nowrap">
							<p>Je désire des renseignements sur : </p>
							<p>'.$rens_content.'</p>
							<p>Dimension de votre espace (en cm) : </p>
							<table cellspacing="4">
								<tr>
									<td>Longueur</td>
									<td><input name="Longueur" type="text" id="email4" size="10" /></td>
								</tr>
								<tr>
									<td>Largeur</td>
									<td><input name="Largeur" type="text" id="email5" size="10" /></td>
								</tr>
								<tr>
									<td>Hauteur</td>
									<td><input name="Hauteur" type="text" id="email6" size="10" /></td>
								</tr>
							</table>
							<p>Je préfère que vous me visitiez afin de déterminer<br />
							les meilleures possibilités pour mon/mes aménagement(s). <br />
							Je suis disponible dans les plages horaires suivantes :</p>
							<p>
								<input type="radio" name="plages horaires" id="radio3" value="Matin" /> Matin<br />
								<input type="radio" name="plages horaires" id="radio3" value="Apres-midi" /> Apres-midi<br />
								<input type="radio" name="plages horaires" id="radio3" value="18H" /> En soirée dès 18h<br />
							</p>
						</td>
					</tr>
					<tr>
						<th align="right" valign="top" nowrap="nowrap">Message :</th>
						<td nowrap="nowrap"><textarea name="Message" cols="28" rows="4" id="Message"></textarea></td>
					</tr>
					<tr>
						<th align="right" valign="top" nowrap="nowrap">&nbsp;</th>
						<td nowrap="nowrap">
							<input type="submit" name="Envoyer" value="Envoyer" />
							<input type="reset" name="Annuler" value="Annuler" />
						</td>
					</tr>
				</table>
			</form>';*/
			
			$form_content	= '<form method="post" action="formulaire/form2mail.php">
    <table border="0" cellpadding="0" cellspacing="8">
          <tr>
            <th align="right" valign="top">&nbsp;</th>
            <td><input type="radio" name="Titre" id="radio1" value="Mr" />Mr
              <input type="radio" name="Titre" id="radio1" value="Mme" />Mme 
              <input type="radio" name="Titre" id="radio1" value="Mlle" />Mlle</td>
          </tr>
          <tr>
            <th align="right" valign="top">Nom :</th>
            <td><input name="Nom" type="text" id="Nom" size="30" /></td>
          </tr>
          <tr>
            <th width="81" align="right" valign="top">Prénom :</th>
            <td width="369"><input name="Prenom" type="text" id="Prenom" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top">E-mail :</th>
            <td><input name="E-mail" type="text" id="Prenom" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top">Tél/Gsm :</th>
            <td><input name="Tel" type="text" id="Tel" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top">Adresse :</th>
            <td><input name="Adresse" type="text" id="Rue2" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top">Numéro :</th>
            <td><input name="Numero" type="text" id="email" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top" nowrap="nowrap">Code postal :</th>
            <td><input name="CP" type="text" id="email2" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top">Localité :</th>
            <td><input name="Localite" type="text" id="email3" size="30" /></td>
          </tr>
          <tr>
            <th align="right" valign="top" nowrap="nowrap">&nbsp;</th>
            <td nowrap="nowrap"><p>Je suis désire des renseignements sur&nbsp;: </p>
              <p>
                <input type="radio" name="renseignements" id="radio2" value="Placard" />Un placard<br />
                <input type="radio" name="renseignements" id="radio2" value="Dressing" />Un dressing<br />
                <input type="radio" name="renseignements" id="radio2" value="Separation" />Une séparation<br />
                <input type="radio" name="renseignements" id="radio2" value="Autre solution" />
                Autre soltion sur-mesure</p>
              <p>Dimension de votre espace (en cm) : </p>
              <table cellspacing="4">
                <tr>
                  <td>Longueur</td>
                  <td><input name="Longueur" type="text" id="email4" size="10" /></td>
                  </tr>
                <tr>
                  <td>Largeur</td>
                  <td><input name="Largeur" type="text" id="email5" size="10" /></td>
                  </tr>
                <tr>
                  <td>Hauteur</td>
                  <td><input name="Hauteur" type="text" id="email6" size="10" /></td>
                  </tr>
              </table>
              <p>Je préfère que vous me visitiez afin de déterminer<br />
                les meilleures possibilités pour mon/mes aménagement(s). <br />
                Je suis disponible dans les plages horaires suivantes :</p>
              <p>
                <input type="radio" name="plages horaires" id="radio3" value="Matin" />
                Matin<br />
                <input type="radio" name="plages horaires" id="radio3" value="Apres-midi" />
                Apres-midi<br />
                <input type="radio" name="plages horaires" id="radio3" value="18H" />
                En soirée dès 18h<br />
            </p></td>
          </tr>
          <tr>
            <th align="right" valign="top" nowrap="nowrap">Message :</th>
            <td nowrap="nowrap"><textarea name="Message" cols="28" rows="4" id="Message"></textarea></td>
          </tr>
          <tr>
            <th align="right" valign="top" nowrap="nowrap">&nbsp;</th>
            <td nowrap="nowrap"><input type="submit" name="Envoyer" value="Envoyer" />
              <input type="reset" name="Annuler" value="Annuler" /></td>
          </tr>
        </table>
    </form>';
		
			// ----------
			
			if ( ! empty( $form_content ) )
			{
				
				$content = str_replace( $shortcode, $form_content, $content );
			}
		}
	}
		
	return $content;
}