$().ready(function() {
	
	// Bouton pour supprimer une ligne
	activateDelBtn();
	function activateDelBtn()
	{
		$('#form-classement tbody input[type="button"]').on( "click", function() {
			
			btn	= $(this);
			
			if ( $('#form-classement tbody tr').length > 1 )
			{
				btn.parent().parent().remove();
			
				updateOrder();
			}else{
				
				lastLine	= $('#form-classement tbody tr:last');
				
				$('input[name$="club_nom"]', lastLine).val('');
				$('input[name$="points"]', lastLine).val('');
				$('select[name$="statu"]', lastLine).val('0');
			}
		});
	}
	
	// Bouton pour ajouter une ligne
	$('#form-classement #add-line').click(function() {
		lastLine	= $('#form-classement tbody tr:last').clone();
		newNum		= parseInt( $('input[name$="ordre"]', lastLine).val() ) + 1;
		
		$('input[name$="ordre"]', lastLine).attr('name', newNum+'_ordre');
		$('input[name$="club_nom"]', lastLine).attr('name', newNum+'_club_nom');
		$('input[name$="points"]', lastLine).attr('name', newNum+'_points');
		$('select[name$="statu"]', lastLine).attr('name', newNum+'_statu');
		
		$('input[name$="ordre"]', lastLine).val( newNum );
		$('input[name$="ordre"] + span', lastLine).html( newNum );
		$('input[name$="club_nom"]', lastLine).val( "" );
		$('input[name$="points"]', lastLine).val( "" );
		$('select[name$="statu"]', lastLine).val( "0" );
		
		$('#form-classement tbody').append(lastLine);
		activateDelBtn();
	});
	
	// Activer le drag'n'drop
	$('#form-classement tbody').sortable({ handle: ".handle" });
	$('#form-classement tbody').on( "sortupdate", function() { updateOrder() } );
	
	// Mettre à jour les chiffres de l'ordre
	function updateOrder()
	{
		i	= 1;
		$('#form-classement tbody tr').each(function() {
			
			$('input[name$="ordre"]', this).attr('name', i+'_ordre');
			$('input[name$="club_nom"]', this).attr('name', i+'_club_nom');
			$('input[name$="points"]', this).attr('name', i+'_points');
			$('select[name$="statu"]', this).attr('name', i+'_statu');
			
			$('input[name$="ordre"]', this).val( i );
			$('input[name$="ordre"] + span', this).html( i );
			
			
			
			i++;
		});
	}
	
});