$(document).ready(function() {
	
	// Calendrier - variables
	calLng		= "fr";
	calFormat	= "dd.mm.yy";
	
	// Bouton pour supprimer une ligne
	activateDelBtn();
	function activateDelBtn()
	{
		$('#form-agenda tbody:first button[type="button"]').on( "click", function() {
			
			btn	= $(this);
			
			if ( $('#form-agenda tbody:first tr').length > 1 )
			{
				btn.parent().parent().remove();
			
				updateOrder();
			}else{
				
				lastLine	= $('#form-agenda tbody:first tr:last');
				
				$('input[name$="date"]', lastLine).val('');
				$('input[name$="date_to_confirm"]', lastLine).removeAttr( "checked" );
				$('input[name$="type"]', lastLine).val('');
				$('input[name$="type_highlighted"]', lastLine).removeAttr( "checked" );
				$('input:radio[name$="highlighted_club"]', lastLine).filter('[value="out"]').attr( "checked", false );
				$('input:radio[name$="highlighted_club"]', lastLine).filter('[value="home"]').attr( "checked", true );
				$('input[name$="club_nom_home"]', lastLine).val('');
				$('input[name$="score_home"]', lastLine).val('');
				$('input[name$="score_out"]', lastLine).val('');
				$('input[name$="club_nom_out"]', lastLine).val('');
			}
		});
	}
	
	// Bouton pour ajouter une ligne
	$('#form-agenda #add-line').click(function() {
		lastLine	= $('#form-agenda tbody:first tr:last').clone();
		newNum		= parseInt( $('input[name$="date"]', lastLine).attr('name') ) + 1;
		
		
		$('input[name$="date"]', lastLine).attr('name', newNum+'_date').attr('id', newNum+'_date').removeClass('hasDatepicker');
		$('input[name$="date_to_confirm"]', lastLine).attr( 'name', newNum+'_date_to_confirm' );
		$('input[name$="type"]', lastLine).attr('name', newNum+'_type');
		$('input[name$="type_highlighted"]', lastLine).attr( 'name', newNum+'_type_highlighted' );
		$('input[name$="highlighted_club"]', lastLine).attr('name', newNum+'_highlighted_club');
		$('input[name$="club_nom_home"]', lastLine).attr('name', newNum+'_club_nom_home');
		$('input[name$="score_home"]', lastLine).attr('name', newNum+'_score_home');
		$('input[name$="score_out"]', lastLine).attr('name', newNum+'_score_out');
		$('input[name$="club_nom_out"]', lastLine).attr('name', newNum+'_club_nom_out');
		
		$('input[name$="date"]', lastLine).val( "" );
		$('input[name$="date_to_confirm"]', lastLine).removeAttr( "checked" );
		$('input[name$="type"]', lastLine).val( "" );
		$('input[name$="type_highlighted"]', lastLine).removeAttr( "checked" );
		//$('input:radio[name$="highlighted_club"]', lastLine).removeAttr( "checked" );
		$('input:radio[name$="highlighted_club"]', lastLine).filter('[value="out"]').attr( "checked", false );
		$('input:radio[name$="highlighted_club"]', lastLine).filter('[value="home"]').attr( "checked", true );
		$('input[name$="club_nom_home"]', lastLine).val( "" );
		$('input[name$="score_home"]', lastLine).val( "" );
		$('input[name$="score_out"]', lastLine).val( "" );
		$('input[name$="club_nom_out"]', lastLine).val( "" );
		
		$('#form-agenda tbody:first').append(lastLine);
		
		activateDelBtn();
	});
	
	// Activer le calendrier
	$('body').on( 'focus', 'input[name$="date"]', function(){
		$(this).datepicker({
			regional: 	calLng,
			dateFormat:	calFormat
		});
	});
	
	// Mettre à jour les chiffres de l'ordre
	function updateOrder()
	{
		i	= 1;
		$('#form-agenda tbody:first tr').each(function() {
			
			$('input[name$="date"]', this).attr('name', i+'_date').attr('id', i+'_date');
			$('input[name$="date_to_confirm"]', this).attr('name', i+'_date_to_confirm');
			$('input[name$="type"]', this).attr('name', i+'_type');
			$('input[name$="type_highlighted"]', this).attr('name', i+'_type_highlighted');
			$('input[name$="highlighted_club"]', this).attr('name', i+'_highlighted_club');
			$('input[name$="club_nom_home"]', this).attr('name', i+'_club_nom_home');
			$('input[name$="score_home"]', this).attr('name', i+'_score_home');
			$('input[name$="score_out"]', this).attr('name', i+'_score_out');
			$('input[name$="club_nom_out"]', this).attr('name', i+'_club_nom_out');
			
			i++;
		});
	}
	
	/*function responsive_filemanager_callback(fieldID){
		console.log(field_id);
		var url=jQuery('#'+field_id).val();
		alert('update '+field_id+" with "+url);
		//your code
	}*/
	
});