<?php

// Select language file
$path = "modules/content/";
$langFile = $path."/lang/".$config["lng"].".php";
is_file($langFile) ? include($langFile) : include("lang/fr.php");
$error = 0;

// Variables
$dbTable = $config["db_tableprefix"]."content";

// Include asked action
$type = isset($_GET["t"]) ? $_GET["t"] : "news";
$action = isset($_GET["a"]) ? $_GET["a"] : "display";

switch ($action) {
	case "delete":
		include($path."delete.php");
		if (count($_POST) && !$error) {
			include($path."display.php");
		}
		break;
	
	case "modify":
		if (count($_POST)) { // Si il y a un envoi de données

			include($path."modify.php"); // Vérification et enregistrement
			if ($error) {
				include($path."form.php"); // Il y a une erreur on réaffiche le formulaire
			}else{
				include($path."display.php"); // La news est enregistrée
			}
			
		}else{
			include($path."form.php"); // Nouvelle news
		}
		break;
		
	case "add":
		if (count($_POST)) { // Si il y a un envoi de données
			
			include($path."add.php"); // Vérification et enregistrement
			if ($error) {
				include($path."form.php"); // Il y a une erreur on réaffiche le formulaire
			}else{
				include($path."display.php"); // La news est enregistrée
			}
			
		}else{
			include($path."form.php"); // Nouvelle news
		}
		break;

	default:
		include($path."display.php");
		break;
}

?>