$().ready(function() {
	
	
	// Editeur de texte
	tinymce.init({
		
		// General
		language : "fr_FR",
		selector: "textarea.tinymce",
		
		// User interface
		/*width : ,*/
		height: 600,
		resize: false,
		menubar : false,
		statusbar : false,
		toolbar1 : "undo redo | cut copy paste pastetext | hr nonbreaking pagebreak | removeformat | code | visualchars",
		toolbar2 : "formatselect styleselect fontsizeselect | bold italic underline | forecolor backcolor | bullist numlist | alignleft aligncenter alignright",
		toolbar3 : "table | link | responsivefilemanager media gallery",
		
		// Plugins
		plugins : "hr code textcolor colorpicker image importcss link media nonbreaking pagebreak paste table responsivefilemanager gallery",
		
		paste_as_text: true,
		
		// Content style
		content_css : "css/content.css",
		
		// File browser
		external_filemanager_path:"./scripts/filemanager/",
		filemanager_title:"Gestionnaire de fichiers" ,
		external_plugins: { "filemanager" : "../filemanager/plugin.min.js"},
		
		// Embed
		media_strict: "false",
		extended_valid_elements : "iframe[src|class|width|height|name|align|frameborder|allowTransparency|style|scrolling],object[width|height|classid|codebase],param[name|value],embed[src|type|width|height|flashvars|wmode]",
		cleanup_on_startup : "false",
		
	});
	
	
	// Bouton langue
	$('.btn-lng').click(function(){
		
		// Activer/désactiver les boutons de langue
		btnVal	= $(this).val();
		$('.btn-lng').removeAttr('disabled');
		$(this).attr('disabled','disabled');
		
		// Afficher le contenu demandé
		$('.col-md-9').fadeOut( 'slow', function() {
			$('.lng-hide').parent().children().hide().addClass('lng-hide');
			$('[name$="'+btnVal+'"]').parent('.lng-hide').removeClass('lng-hide').show();
			$(this).fadeIn('slow');
		});
		
	});
	
});