<?php


// Créer, si il n'existe pas, le dossier qui va contenir les images des galeries
$gal_base_path	= "../uploads/galeries/";

if ( ! is_dir( $gal_base_path ) )
{
	mkdir( $gal_base_path );
	chmod( $gal_base_path, 0777 );
}


// Inclure les fichiers qui traitent les modif et enregistrement
include_once('gal_add.php');
include_once('gal_del.php');
include_once('gal_save.php');
include_once('pics_add.php');


// --------------------------------------------------------------------------------

// VARIABLES
$current_gal_id			= isset($_GET['id']) && $_GET['id']!='' ? $_GET['id'] : '1';
$current_gal_name;
$current_gal_slug;


// Vérifier que la gallerie $_GET existe bien
$ids_check	= getQuery("SELECT * FROM ".$config["db_tableprefix"]."galleries ORDER BY id");
if ( is_resource( $ids_check ) )
{
	$ids_check_arr	= array();
	while( $ids_check_row = mysql_fetch_object( $ids_check ) )
	{
		array_push( $ids_check_arr, $ids_check_row->id );
	}
	mysql_free_result( $ids_check );
	
	// ------
	
	if ( empty( $ids_check_arr ) )
	{
		$current_gal_id	= '0';
	}
	if ( ! in_array( $current_gal_id, $ids_check_arr ) ) {
		$current_gal_id	= $ids_check_arr[0];
	}
}else{
	$current_gal_id	= '0';
}


// AFFICHAGE DU CONTENU
// Rapatriement des contenus
$results	= array();
$db_results	= getQuery("SELECT * FROM ".$config["db_tableprefix"]."galleries ORDER BY id");
if (is_resource($db_results))
{
	while($result = mysql_fetch_object( $db_results ))
	{
		array_push( $results, $result );
	}
	mysql_free_result( $db_results );
}

// ----------

$gals	= $results;
if ( ! empty( $gals ) )
{
	
	// Liste des galeries
	$gal_list;
	
	foreach( $gals as $gal )
	{
		
		// Variables
		$id		= strval($gal->id);
		$name	= $gal->name;
		$slug	= $gal->slug;
		
		// Si ils n'existent pas créer les dossiers qui vont contenir les photos
		if ( ! is_dir( $gal_base_path.$slug ) )
		{
			mkdir( $gal_base_path.$slug );
			chmod( $gal_base_path.$slug, 0777 );
		}
		if ( ! is_dir( $gal_base_path.$slug."/thumbs" ) )
		{
			mkdir( $gal_base_path.$slug."/thumbs" );
			chmod( $gal_base_path.$slug."/thumbs", 0777 );
		}
		
		// Enregistrer les infos de la gallerie active
		if ($current_gal_id == $id) {
			$current_gal_name	= $name;
			$current_gal_slug	= $slug;
		}
		
		// Compter le nombre de photos de la galerie
		$count		= 0;
		$db_count	= getQuery("SELECT COUNT(*) FROM ".$config["db_tableprefix"]."galleries_pics WHERE gallery_id='".$id."'");
		if ( ! empty( $db_count ) )
		{
			$count_val	= mysql_fetch_row($db_count);
			$count		= $count_val[0];
			mysql_free_result( $db_count );
		}
		
		// Contenu de la liste
		$selected			= $current_gal_id == $id ? ' active' : '';
		
		$gal_list	.= '<a href="index.php?m='.$mod.'&id='.$id.'" class="list-group-item'.$selected.'" id="'.$id.'"><span class="badge">'.$count.'</span>'.$name.'</a>';
		
	}
	
	
	// Liste de suppression de galerie
	$gal_del_list	= '<select class="form-control">';
	foreach( $gals as $gal )
	{
		// Variables
		$id		= strval($gal->id);
		$name	= utf8_encode($gal->name);
		
		$gal_del_list	.= '<option value="'.$id.'">'.$name.'</option>';
	}
	$gal_del_list	.= '</select>';
	
	
	// Photos
	$results	= array();
	$db_results	= getQuery("SELECT * FROM ".$config["db_tableprefix"]."galleries_pics WHERE gallery_id='". $current_gal_id ."' ORDER BY ".$config["db_tableprefix"]."galleries_pics.order");
	if (is_resource($db_results))
	{
		while($result = mysql_fetch_object( $db_results ))
		{
			array_push( $results, $result );
		}
		mysql_free_result( $db_results );
	}

	// ----------
	
	$photos	= $results;
	$photos_list;
	$pics_order_val;
	
	if ( ! empty( $photos ) )
	{
		$i	= 0;
		$photos_list	= '<ul>';
		
		foreach( $photos as $photo )
		{
			$pics_order_val	.= $photo->id.',';
			
			$photos_list .= '<li>';
			$photos_list .= '<img src="../uploads/galeries/'.$current_gal_slug.'/thumbs/'.$photo->filename.'" alt="'.$photo->id.'">';
			$photos_list .= '<div class="btn btn-lg btn-default glyphicon glyphicon-trash"></div>';
			$photos_list .= '</li>';
			
			$i++;
		}
		
		$photos_list	.= '</ul>';
		$pics_order_val	= substr( $pics_order_val, 0, -1 );
		
	}else{
		$photos_list	.= '<p class="alert alert-info">Il n\'y a pas encore de photos dans cette galerie.</p>';
	}
}
?>

<div class="row">
	
	<div class="col-md-3">
		
		<h3>Galeries</h3>
		
		<?php echo $msg; ?>
		
		<!-- Liste des galeries -->
		<ul class="list-group">
			<?php echo $gal_list; ?>
		</ul>
		
		<!-- Créer une nouvelle galerie -->
		<form class="form-inline" id="gal-add" method="post" action="index.php?m=galleries&id=<?php echo $gal_add_id; ?>">
			
			<?php echo $msg_gal_add; ?>
			
			<input type="hidden" name="action" value="gal-add">
			
			<div class="form-group">
				<input type="text" name="title" class="form-control" value="" placeholder="Créer une gallerie" />
			</div>
			<div class="form-group">
				<input type="submit" class="btn btn-default glyphicon glyphicon-plus" value="+" />
			</div>
		</form>
		
		<?php if ( ! empty( $gals ) ) : ?>
		<hr/>
		
		<!-- Supprimer une galerie -->
		<form class="form" id="gal-del" method="post" action="index.php?m=galleries">
			
			<?php echo $msg_gal_del; ?>
			
			<input type="hidden" name="action" value="gal-del">
			<input type="hidden" name="gal-id" value="<?php echo $current_gal_id; ?>">
		
			<div class="form-group">
				<input type="button" class="btn btn-danger" data-toggle="modal" data-target="#gal-del-modal" value="Suprimer la galerie “<?php echo $current_gal_name; ?>”" />
			</div>
			
			<div class="modal" id="gal-del-modal">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title">Suprimer la galerie “<?php echo $current_gal_name; ?>”</h4>
						</div>
						<div class="modal-body">
							<p>Toutes les photos de cette galerie seront également supprimées.</p>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
							<button type="submit" class="btn btn-primary">Confirmer</button>
						</div>
					</div>
				</div>
			</div>
		</form>
		<?php endif; ?>
	</div>
	
	<!-- Liste des photos -->
	<div id="photo-list" class="col-md-7">
		<?php if ( $current_gal_id != '0' ) : ?>
		<h3>Photos</h3>
		
		<p>Vous pouvez utiliser le code ci-dessous pour afficher cette galerie dans une news ou une page.<br>
			<code>[gallery <?php echo $current_gal_slug; ?>]</code></p>
		
		<?php
		echo $msg_pics_add;
		echo $msg_gal_save;
		echo $photos_list;
		?>
		
		<!-- Ajouter des photos -->
		<form class="form" id="pics-add" method="post" action="index.php?m=galleries&id=<?php echo $current_gal_id; ?>" enctype="multipart/form-data">
			
			<h4>Ajouter des photos</h4>
			
			<input type="hidden" name="action" value="pics-add">
			<input type="hidden" name="gal-id" value="<?php echo $current_gal_id; ?>">
			<input type="hidden" name="gal-slug" value="<?php echo $current_gal_slug; ?>">
			
			<div  class="form-group">
				<input type="button" class="btn btn-default add-file-input" value="Ajouter un fichier" />
				<input type="submit" class="btn btn-primary" value="Envoyer les photos" />
			</div>
			<div class="form-group">
				<div class="fileinput fileinput-new input-group" data-provides="fileinput">
					<div class="form-control" data-trigger="fileinput"><i class="glyphicon glyphicon-file fileinput-exists"></i> <span class="fileinput-filename"></span></div>
					<span class="input-group-addon btn btn-default btn-file"><span class="fileinput-new">Choisir un fichier</span><span class="fileinput-exists">Change</span><input type="file" name="file_0"></span>
					<a href="#" class="input-group-addon btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
				</div>
			</div>
		</form>
		<?php endif; ?>
	</div>
	
	<div class="col-md-2">
		<?php if ( $current_gal_id != '0' ) : ?>
		
		<h3>&nbsp;</h3>
		
		<!-- Enregistrer la galerie : ordre, suppresion d'images -->
		<form id="gal-save" method="post" action="index.php?m=galleries&id=<?php echo $current_gal_id; ?>">
			
			<input type="hidden" name="action" value="gal-save" />
			<input type="hidden" name="gal-id" value="<?php echo $current_gal_id; ?>">
			<input type="hidden" name="pics-del" value="" />
			<input type="hidden" name="pics-order-init" value="<?php echo $pics_order_val; ?>" />
			<input type="hidden" name="pics-order" value="<?php echo $pics_order_val; ?>" />
			
			<input type="button" class="btn btn-primary" data-toggle="modal" data-target="#gal-save-modal" value="Enregistrer la galerie" />
			
			<div class="modal" id="gal-save-modal">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							<h4 class="modal-title">Enregistrer la galerie “<?php echo $current_gal_name; ?>”</h4>
						</div>
						<div class="modal-body">
							<p>Toutes les photos sélectionnées seront supprimées.<br/>
								L'ordre des photos sera enregistré.<br/>
								Voulez-vous appliquer ces changements ?</p>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Annuler</button>
							<button type="submit" class="btn btn-primary">Confirmer</button>
						</div>
					</div>
				</div>
			</div>
		</form>
		<?php endif; ?>
	</div>

</div>
	
	