$().ready(function() {
	
	// Bouton pour supprimer une ligne
	activateDelBtn();
	function activateDelBtn()
	{
		console.log('del');
		$('#form-menu tbody input[type="button"].btn-danger').on( "click", function() {
			
			btn	= $(this);
			
			if ( $('#form-menu tbody tr').length > 1 )
			{
				btn.parent().parent().remove();
			
				updateOrder();
			}else{
				
				lastLine	= $('#form-menu tbody tr:last');
				
				$('input[name$="id"]', lastLine).val( "" );
				$('input[name$="lnk"]', lastLine).val( "" );
				$('input[name$="blank"]', lastLine).removeAttr('checked');
				$('input[name$="title"]', lastLine).val( "" );
			}
		});
	}
	
	// Bouton pour ajouter une ligne
	$('#form-menu #add-line').click(function() {
		lastLine	= $('#form-menu tbody tr:last').clone();
		newNum		= parseInt( $('input[name$="ordre"]', lastLine).val() ) + 1;
		
		$('input[name$="ordre"]', lastLine).attr('name', newNum+'_ordre');
		$('input[name$="id"]', lastLine).attr('name', newNum+'_id');
		$('input[name$="lnk"]', lastLine).attr('name', newNum+'_lnk');
		$('input[name$="blank"]', lastLine).attr('name', newNum+'_blank');
		$('input[name$="title"]', lastLine).attr('name', newNum+'_title');
		
		$('input[name$="ordre"]', lastLine).val( newNum );
		$('input[name$="ordre"] + span', lastLine).html( newNum );
		$('input[name$="id"]', lastLine).val( "" );
		$('input[name$="lnk"]', lastLine).val( "" );
		$('input[name$="blank"]', lastLine).removeAttr('checked');
		$('input[name$="title"]', lastLine).val( "" );
		
		$('#form-menu tbody').append(lastLine);
		activateDelBtn();
		activateLnkKeyup();
	});
	
	// Activer le drag'n'drop
	$('#form-menu tbody').sortable({ handle: ".handle" });
	$('#form-menu tbody').on( "sortupdate", function() { updateOrder() } );
	
	// Mettre à jour les chiffres de l'ordre
	function updateOrder()
	{
		i	= 1;
		$('#form-menu tbody tr').each(function() {
			
			$('input[name$="ordre"]', this).attr('name', i+'_ordre');
			$('input[name$="id"]', this).attr('name', i+'_id');
			$('input[name$="lnk"]', this).attr('name', i+'_lnk');
			$('input[name$="blank"]', this).attr('name', i+'_blank');
			$('input[name$="title"]', this).attr('name', i+'_title');
			
			$('input[name$="ordre"]', this).val( i );
			$('input[name$="ordre"] + span', this).html( i );
			
			
			
			i++;
		});
	}
	
	// Bouton pour sélectionner un contenu du site
	var modal_btn	= "";
	
	$('#contentmodal .modal-body button').on( "click", function() {
		
		var type	= $('span:first', $(this) ).html();
		var id		= $('span:eq(1)', $(this) ).html();
		var title	= $('span:last', $(this) ).html();
		
		//console.log( modal_btn, type, id, title );
		modal_btn.parent().prev( 'input' ).val( type + " - " + title );
		modal_btn.parent().prev( 'input' ).prev( 'input' ).val( id );
		
		$('#contentmodal').modal('toggle');
	});
			
	$('#contentmodal').on('show.bs.modal', function (event) {
		modal_btn = $( event.relatedTarget );
	});
	
	activateLnkKeyup();
	function activateLnkKeyup()
	{
		console.log('keyup');
		$('#form-menu input[name$=lnk]').on( "keyup", function() {
			//if ( $(this).val() == "" )
			//{
				$(this).prev( 'input' ).val( "" );
				//$(this).prev( 'input' ).prev( 'input' ).val( "" );
			//}
		});
	}
	
});